%%
% First run the script:
% Then run this script compare_modal_coupling_vs_full_FSI_disp.m
% which is used to calculate the displacement of the plate at the location
% where the force was applied.

% Use the participation factors to calculate the displacement at a node
[str_disp,f]=str_displacement(m,'point_force',373);
% Import the Ansys results from the full FSI harmonic analysis
ansys_d_373=importdata('d_node.txt',' ',7);
% Plot the results of theoretical modal coupling and Ansys
semilogy(f,abs(str_disp),ansys_d_373.data(:,1),ansys_d_373.data(:,2),'.')
xlabel('Frequency [Hz]')
ylabel('Displacement [m]')
legend('ANSYS MAPDL Modal Coupling','Ansys MAPDL Full FSI ','location','southwest')
